Hi Steve
I draw two line l1, l2 and the script make a blend.
the below VBscript is OK:
Call Main()
Sub Main()
l1 = Rhino.GetObject("seleziona curva 1")
l2 = Rhino.GetObject("seleziona curva 2")
Rhino.Command("-blend selid " + l1 + " selid " + l2)
End Sub
The below Python Script return error:
import rhinoscriptsyntax as rs
def rac():
l1=rs.GetObject("seleziona curva 1")
l2=rs.GetObject("seleziona curva 2")
rs.Command("-blend selid "+l1+" selid "+l2)
rac()
the error is:
Message: unsupported operand type(s) for +: ‘str’ and ‘Guid’
Traceback:
line 5, in rac, “C:\Users\Angela\AppData\Local\Temp\TempScript.py”
line 6, in , “C:\Users\Angela\AppData\Local\Temp\TempScript.py”
Ciao Vittorio